import request from './request'


export default {
    queryPlayerInfo(data) {
        return request({
            url: '/player/info',
            method: 'post',
            data
        });
    },
    editPlayerInfo(data) {
        return request({
            url: '/player/editInfo',
            method: 'post',
            data
        });
    },
    editPlayerItem(data) {
        return request({
            url: '/player/editItem',
            method: 'post',
            data
        });
    },
    delPlayerItem(data) {
        return request({
            url: '/player/delItem',
            method: 'post',
            data
        });
    },
    addPlayerItem(data) {
        return request({
            url: '/player/addItem',
            method: 'post',
            data
        });
    },
    resetMsa(data) {
        return request({
            url: '/player/resetMsa',
            method: 'post',
            data
        });
    },
    completeMsa(data) {
        return request({
            url: '/player/completeMsa',
            method: 'post',
            data
        });
    },
    delMsa(data) {
        return request({
            url: '/player/delMsa',
            method: 'post',
            data
        });
    },
    addMsa(data) {
        return request({
            url: '/player/addMsa',
            method: 'post',
            data
        });
    },
    delHrs(data) {
        return request({
            url: '/player/delHrs',
            method: 'post',
            data
        });
    },
    addHrs(data) {
        return request({
            url: '/player/addHrs',
            method: 'post',
            data
        });
    },
    editHrs(data) {
        return request({
            url: '/player/editHrs',
            method: 'post',
            data
        });
    },
    addBps(data) {
        return request({
            url: '/player/addBps',
            method: 'post',
            data
        });
    },
    delBps(data) {
        return request({
            url: '/player/delBps',
            method: 'post',
            data
        });
    },
    makeBps(data) {
        return request({
            url: '/player/makeBps',
            method: 'post',
            data
        });
    },
    getPart(data) {
        return request({
            url: '/player/getPart',
            method: 'post',
            data
        });
    },
    saveRdm(data) {
        return request({
            url: '/player/saveRdm',
            method: 'post',
            data
        });
    },
    delRls(data) {
        return request({
            url: '/player/delRls',
            method: 'post',
            data
        });
    },
    getRls(data) {
        return request({
            url: '/player/getRls',
            method: 'post',
            data
        });
    },
    rlsChangeLv(data) {
        return request({
            url: '/player/rlsChangeLv',
            method: 'post',
            data
        });
    },
    addRelic(data) {
        return request({
            url: '/player/addRelic',
            method: 'post',
            data
        });
    },
    editRelic(data) {
        return request({
            url: '/player/editRelic',
            method: 'post',
            data
        });
    },
    copeRole(data) {
        return request({
            url: '/player/copeRole',
            method: 'post',
            data
        });
    },
    delPlayerGuids(data) {
        return request({
            url: '/player/delGuids',
            method: 'post',
            data
        });
    },
    getSrvList() {
        return request({
            url: '/server/getSrvList',
            method: 'get'
        });
    },editTaskState(data) {
        return request({
            url: '/player/editTaskState',
            method: 'post',
            data
        });
    }
}
